## kytos-utils 2017.1b1.post1

=== requirements.txt ===
docopt
requests
jinja2>=2.9.5

=== debian/changelog ===
kytos-utils (2017.1b1.post1-1) unstable; urgency=medium

  * Initial release (Closes: #858840)

 -- Paulo Henrique de Lima Santana (phls) <phls@softwarelivre.org>  Mon, 03 Apr 2017 11:07:28 -0300

=== debian/control ===
Source: kytos-utils
Section: utils
Priority: optional
Maintainer: Paulo Henrique de Lima Santana (phls) <phls@softwarelivre.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               pylama,
               python3.6,
               python3-all,
               python3-docopt,
               python3-jinja2,
               python3-pycodestyle,
               python3-pylama,
               python3-requests,
               python3-setuptools
X-Python3-Version: >= 3.5
Standards-Version: 3.9.8
Homepage: https://github.com/kytos/kytos-utils

Package: kytos-utils
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: command line utilities to use with Kytos
 Command line interface (cli) for Kytos SDN Platform.
 .
 With these utilities you can interact with Kytos daemon and manage
 Network Applications (NApps) on your controller.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf kytos_utils.egg-info

=== debian/watch ===
version=4
https://github.com/kytos/kytos-utils/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## kytos-utils 2017.2b1

=== debian/changelog ===
kytos-utils (2017.2b1-2) unstable; urgency=medium

  * New upload because the bug 877193 was solved.
  * debian/control: bumped Standards-Version to 3.9.8.

 -- Paulo Henrique de Lima Santana (phls) <phls@softwarelivre.org>  Mon, 13 Nov 2017 14:55:41 -0200

kytos-utils (2017.2b1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
      - Build-Depends added python3-ruamel.yaml, and
        removed pylama, python3-pycodestyle, python3-pylama.
      - Bumped Standards-Version to 4.1.0.
  * debian/docs: CHANGELOG.rst line removed because it is not necessary.
  * debian/manpage: updated.
  * debian/rules:
      - override_dh_auto_test added.
      - override_dh_clean removed.

 -- Paulo Henrique de Lima Santana (phls) <phls@softwarelivre.org>  Tue, 26 Sep 2017 00:39:00 -0300

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,15 @@
 Maintainer: Paulo Henrique de Lima Santana (phls) <phls@softwarelivre.org>
 Build-Depends: debhelper (>= 10),
                dh-python,
-               pylama,
                python3.6,
                python3-all,
                python3-docopt,
-               python3-jinja2,
-               python3-pycodestyle,
-               python3-pylama,
+               python3-jinja2 (>=2.9.6),
                python3-requests,
+               python3-ruamel.yaml,
                python3-setuptools
 X-Python3-Version: >= 3.5
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/kytos/kytos-utils
 
 Package: kytos-utils

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\d+$// \
https://github.com/kytos/kytos-utils/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## kytos-utils 2019.2

=== debian/changelog ===
kytos-utils (2019.2-4) unstable; urgency=medium

  * QA upload.
  * Patch: Support setuptools >= 60. (Closes: #1022466)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 12 Nov 2022 18:17:18 +0200

kytos-utils (2019.2-3) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Bumped Standards-Version to 4.5.1.
      - Change Maintainer for Debian QA Group because it was orphaned.
      - Updated DH to level 13.
  * debian/copyright: updated packaging copyright years.

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Fri, 18 Dec 2020 13:45:50 -0300

kytos-utils (2019.2-2) unstable; urgency=medium

  * debian/maintscript.
  * debian/postinst:
      - Both files were created to remove obsolete conffiles created in
        /etc/skel/kytos in versions before 2019.2-1. (Closes: #948185).

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Tue, 07 Jan 2020 02:12:50 -0300

kytos-utils (2019.2-1) unstable; urgency=medium

  * New upstream version 2019.2.
  * debian/control:
      - Added python3-pathspec on Build-Depends.
      - Added 'Rules-Requires-Root: no' in source stanza.
      - Added Vcs-* fields for repository in salsa.
      - Bumped Standards-Version to 4.4.1.
      - Changed Maintainer's email.
      - New format to debhelper-compat and updated level to 12.
      - Bumped X-Python3-Version to 3.7.
  * debian/copyright:
      - Changed Maintainer's email.
      - Listed all upstream files in copyright.
      - Updated upstream code and packaging copyrights years.
  * debian/install: created to copy files to the right place. (Closes: #887118).
  * debian/manpage/*: updated with new version.
  * debian/patches/0001-fix_etc_path_for_instalation.patch: created.
  * debian/salsa-ci.yml: created to start CI tests for Salsa.
  * debian/tests/*: added to perform trivial tests.
  * debian/upstream/metadata: created.
  * debian/watch: updated to looking for releases in debian repository.

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Fri, 03 Jan 2020 20:51:44 -0300

kytos-utils (2017.2b1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove build dependency on python3.6. Closes: #916820.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Mar 2019 16:41:48 +0100

=== debian/control ===
Source: kytos-utils
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-docopt,
               python3-jinja2,
               python3-pathspec,
               python3-requests,
               python3-ruamel.yaml,
               python3-setuptools,
X-Python3-Version: >= 3.7
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/kytos/kytos-utils
Vcs-Browser: https://salsa.debian.org/debian/kytos-utils
Vcs-Git: https://salsa.debian.org/debian/kytos-utils.git

Package: kytos-utils
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: command line utilities to use with Kytos
 Command line interface (cli) for Kytos SDN Platform.
 .
 With these utilities you can interact with Kytos daemon and manage
 Network Applications (NApps) on your controller.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
